jQuery( document ).ready( function( $ ) {
  //tabs in option page
  $('.rmp-tablinks').click(function(){
		var tab_id = $(this).attr('data-tab');

		$('.rmp-tablinks').removeClass('rmp-tabcontent-current');
		$('.rmp-tabcontent').removeClass('rmp-tabcontent-current');

		$(this).addClass('rmp-tabcontent-current');
		$("#"+tab_id).addClass('rmp-tabcontent-current');
	})
  //Show notice in settings
  $('#show-rmp-notice').click(function() {
    $('#rmp-notice-hidden').toggle();
  });
  //About plugin section
  $('#rmp-about-show').click(function() {
    $('#rmp-about').toggle();
  });
  //Update settings
  $('#rmp-save-settings').click(function() {
    $('#rmp-options-update-alert').text(rmp_options.save);
    //check which checkboxes are checked
    if ( $('input#rmp-posts').is(':checked') ) {
      $optionPosts = 2;
    } else {
      $optionPosts = 1;
    };
    if ( $('input#rmp-pages').is(':checked') ) {
      $optionPages = 2;
    } else {
      $optionPages = 1;
    };
    if ( $('input#rmp-rate-email').is(':checked') ) {
      $optionRateEmail = 2;
    } else {
      $optionRateEmail = 1;
    };
    if ( $('input#rmp-feedback-email').is(':checked') ) {
      $optionFeedbackEmail = 2;
    } else {
      $optionFeedbackEmail = 1;
    };
    if ( $('input#rmp-feedback').is(':checked') ) {
      $optionFeedback = 2;
    } else {
      $optionFeedback = 1;
    };
    if ( $('input#rmp-social').is(':checked') ) {
      $optionSocial = 2;
    } else {
      $optionSocial = 1;
    };
    if ( $('input#rmp-cookie-disable').is(':checked') ) {
      $optionCookieDisabled = 2;
    } else {
      $optionCookieDisabled = 1;
    };
    //get values of text fields
    $exclude = $('input#rmp-exclude').val();
    $facebook = $('input#rmp-facebook').val();
    $pinterest = $('input#rmp-pinterest').val();
    $youtube = $('input#rmp-youtube').val();
    $flickr = $('input#rmp-flickr').val();
    $instagram = $('input#rmp-instagram').val();
    $twitter = $('input#rmp-twitter').val();
    $linkedin = $('input#rmp-linkedin').val();

    $.ajax({
      type: 'POST',
      url: rmp_options.admin_ajax,
      data: {
          action:         'rmp_options',
          save:           1,
          posts:          $optionPosts,
          pages:          $optionPages,
          rateEmail:      $optionRateEmail,
          feedbackEmail:  $optionFeedbackEmail,
          feedback:       $optionFeedback,
          social:         $optionSocial,
          exclude:        $exclude,
          cookieDis:      $optionCookieDisabled,
          facebook:       $facebook,
          pinterest:      $pinterest,
          youtube:        $youtube,
          flickr:         $flickr,
          instagram:      $instagram,
          twitter:        $twitter,
          linkedin:       $linkedin
      },
      success: function (result) {
        $('#rmp-options-update-alert').text(result);
        setTimeout(function(){ $('#rmp-options-update-alert').text('');  }, 3000);
      }
    });
  });
  //Reset settings
  $('#rmp-reset-settings').click(function() {
    if ( confirm( rmp_options.resetConfirm ) ) {
      $.ajax({
        type: 'POST',
        url: rmp_options.admin_ajax,
        data: {
            action:         'rmp_options',
            save:           0,
        },
        success: function (result) {
          $('#rmp-options-update-alert').text(result);
          location.reload();
        }
      });
  }
  });
});
