jQuery( document ).ready( function( $ ) {
  //remove cookies depending on the settings
  if( article_rating.cookieDisable == 2 ) {
    Cookies.remove( 'rmp-rate' + article_rating.postID );
  };

  //do ajax to load results and avoid issues with caching plugins

    $.ajax({
      type: 'POST',
      url: article_rating.admin_ajax,
      data: {
          action:'process_rating',
          star_rating : 0,
          feedback : 0,
          loadResults : 1,
          postID : article_rating.postID
      },
      success: function (result) {
        $ratingResponse = result.split("||");
        votesNumber = $ratingResponse[0];
        avgRating = $ratingResponse[1];
        //article has been already voted
        if( votesNumber != 0 ) {
          $('.rmp-main .rmp-rate-view #voting-results #votes ').text(votesNumber);
          $('.rmp-main .rmp-rate-view #voting-results #rating').text(avgRating);
      } else {
          $('.rmp-main .rmp-rate-view #voting-results').text(article_rating.noVotes);
      }
      }
    });

  //style for stars
  $('#rmp-stars li').on('mouseover', function(){
  var onStar = parseInt($(this).data('value'), 10); // The star currently mouse on

  // Highlight hovered stars
  $(this).parent().children('li.star').each(function(e){
    if ( e < onStar ) {
      $(this).addClass('hover');
    }
    else {
      $(this).removeClass('hover');
    }
  });

}).on('mouseout', function(){
  $(this).parent().children('li.star').each(function(e){
    $(this).removeClass('hover');
  });
});
// Action to perform on star click
 $('#rmp-stars li').on('click', function(){
   //check or push cookie
   $rmpCookie = Cookies.get('rmp-rate' + article_rating.postID);
   if( $rmpCookie != 1 ) {
     Cookies.set('rmp-rate' + article_rating.postID, 1, { expires: 60 });

     var onStar = parseInt($(this).data('value'), 10); // The star currently selected
     var stars = $(this).parent().children('li.star');

     for ( i = 0; i < stars.length; i++ ) {
       $(stars[i]).removeClass('selected');
     }

     for ( i = 0; i < onStar; i++ ) {
       $(stars[i]).addClass('selected');
     }
      var ratingValue = parseInt($('#rmp-stars li.selected').last().data('value'), 10);
      //send rating via AJAX
      $.ajax({
        type: 'POST',
        url: article_rating.admin_ajax,
        data: {
            action:'process_rating',
            star_rating : ratingValue,
            feedback : 0,
            loadResults : 0,
            postID : article_rating.postID
        },
        success: function (result) {
          //alert(result); here goes rating success msg at some point
        }
      });
      //change view after article is rated
          if ( ratingValue > 2 && article_rating.social == 2 ) {
            $(".rmp-rate-view").fadeOut(200, function(){
                $(".rmp-social-view").fadeIn(500);
            });
          } else if( ratingValue <= 2 && article_rating.feedback == 2 ) {
            $(".rmp-rate-view").fadeOut(200, function(){
              $(".rmp-feedback-view").fadeIn(500);
            });
          } else if( ratingValue > 2 && article_rating.social == 1 ) {
            $('.rmp-main .rmp-rate-view #voting-results').text(article_rating.afterVote);
          } else if ( ratingValue <= 2 && article_rating.feedback == 1 ) {
            $('.rmp-main .rmp-rate-view #voting-results').text(article_rating.afterVote);
          }

  } else { //cookie he/she already voted
        $('.rmp-main .rmp-rate-view #vote-alert ').text(article_rating.cookie);
        setTimeout(function(){ $('.rmp-main .rmp-rate-view #vote-alert').text('');  }, 2000);
  }
  });
// Action to perform on send feedback click click
  $('#feedback-button').click(function() {
    var feedbackText = $('#feedback-text').val();
    if (feedbackText.length) {
      $(".feedback-subview").fadeOut(200, function(){
        $(".feedback-sent").fadeIn(500);
      });
      //send feedback via ajax
      $.ajax({
        type: 'POST',
        url: article_rating.admin_ajax,
        data: {
            action:'process_rating',
            star_rating : 0,
            loadResults : 0,
            feedback : feedbackText,
            postID : article_rating.postID
        },
        success: function (result) {
          //alert(result); here goes rating success msg at some point
        }
      });
  } else {
      $(' .rmp-main .rmp-feedback-view #feedback-alert ').text(article_rating.emptyFeedback);
      setTimeout(function(){ $(' .rmp-main .rmp-feedback-view #feedback-alert ').text('');  }, 2000);
  }
});

});
